using APT.Infrastructure.Core;
using System;
using System.ComponentModel;

namespace APT.BaseData.Domain.Entities.FM
{
    /// <summary>
    /// 自动打印明细
    /// </summary>
    [Description("自动打印记录明细表")]
     [IgnoreT4]public class T_FM_AUTO_PRINT_RECORD_DETAIL : MesEntityBase
	{

		public T_FM_AUTO_PRINT_RECORD_DETAIL()
		{
			this.PARAM_VALUE = string.Empty;
		}

        [Description("自动打印主表ID")]
        public Guid AUTO_PRINT_RECORD_ID { get; set; }

        [Description("参数名称")]
        /// <summary>参数名称</summary>
        public string PARAM_NAME { get; set; }

        [Description("参数值")]
        /// <summary>参数值</summary>
        public string PARAM_VALUE { get; set; }


        [Description("导航：自动打印记录")]
        public virtual T_FM_AUTO_PRINT_RECORD Nav_AutoPrintRecord { get; set; }
	}
}
